Bug 178222 - [PATCH] www/gallery3: security update to 3.0.7
[PATCH] www/gallery3: security update to 3.0.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-28 18:50 UTC by alex
Modified: 2013-05-01 08:20 UTC (History)
1 user (show)

See Also:


Attachments
gallery3-3.0.7.patch (1.71 KB, patch)
2013-04-28 18:50 UTC, alex
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2013-04-28 18:50:00 UTC
- Update to 3.0.7

Port maintainer (appleboy.tw@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2013-04-28 18:50:08 UTC
Maintainer of www/gallery3,

Please note that PR ports/178222 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178222

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-04-28 18:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer 2013-04-29 14:11:25 UTC
State Changed
From-To: feedback->open

From misfiled PR ports/178228: 

Date: Mon, 29 Apr 2013 09:51:48 +0800 
Comment 4 Wen Heping freebsd_committer 2013-04-30 11:40:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 5 dfilter freebsd_committer 2013-05-01 08:18:27 UTC
Author: wen
Date: Wed May  1 07:18:20 2013
New Revision: 316993
URL: http://svnweb.freebsd.org/changeset/ports/316993

Log:
  - Update to 3.0.7
  
  PR:		178222
  Submitted by:	Alex Varju <alex@varju.ca>
  Approved by:	Bo-Yi Wu <appleboy.tw@gmail.com> (maintainer)

Modified:
  head/www/gallery3/Makefile
  head/www/gallery3/distinfo
  head/www/gallery3/pkg-plist

Modified: head/www/gallery3/Makefile
==============================================================================
--- head/www/gallery3/Makefile	Wed May  1 07:15:53 2013	(r316992)
+++ head/www/gallery3/Makefile	Wed May  1 07:18:20 2013	(r316993)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gallery3
-PORTVERSION=	3.0.5
+PORTVERSION=	3.0.7
 CATEGORIES=	www
 MASTER_SITES=	SF/gallery/${PORTNAME}/${PORTVERSION}
 DISTNAME=	gallery-${PORTVERSION}
@@ -51,9 +51,9 @@ RUN_DEPENDS+=	gm:${PORTSDIR}/graphics/Gr
 
 .if ${PORT_OPTIONS:MIMAGEMAGICK}
 .if !defined(WITHOUT_X11)
-RUN_DEPENDS+=    convert:${PORTSDIR}/graphics/ImageMagick
+RUN_DEPENDS+=	convert:${PORTSDIR}/graphics/ImageMagick
 .else
-RUN_DEPENDS+=    convert:${PORTSDIR}/graphics/ImageMagick-nox11
+RUN_DEPENDS+=	convert:${PORTSDIR}/graphics/ImageMagick-nox11
 .endif
 .endif
 

Modified: head/www/gallery3/distinfo
==============================================================================
--- head/www/gallery3/distinfo	Wed May  1 07:15:53 2013	(r316992)
+++ head/www/gallery3/distinfo	Wed May  1 07:18:20 2013	(r316993)
@@ -1,2 +1,2 @@
-SHA256 (gallery-3.0.5.zip) = d720cf8a78ecd659ca95f845a2c0f7e0e9db3255bc9c7ffa575e9cbc074efb38
-SIZE (gallery-3.0.5.zip) = 2035940
+SHA256 (gallery-3.0.7.zip) = c8960051853ef8c60c22cf3c446d48d30844319765164dd397405bb2d83ef98d
+SIZE (gallery-3.0.7.zip) = 2036494

Modified: head/www/gallery3/pkg-plist
==============================================================================
--- head/www/gallery3/pkg-plist	Wed May  1 07:15:53 2013	(r316992)
+++ head/www/gallery3/pkg-plist	Wed May  1 07:18:20 2013	(r316993)
@@ -253,7 +253,6 @@
 %%WWWDIR%%/modules/gallery/libraries/MY_Database.php
 %%WWWDIR%%/modules/gallery/libraries/MY_Forge.php
 %%WWWDIR%%/modules/gallery/libraries/MY_Input.php
-%%WWWDIR%%/modules/gallery/libraries/MY_Kohana.php
 %%WWWDIR%%/modules/gallery/libraries/MY_Kohana_Exception.php
 %%WWWDIR%%/modules/gallery/libraries/MY_ORM.php
 %%WWWDIR%%/modules/gallery/libraries/MY_View.php
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Wen Heping freebsd_committer 2013-05-01 08:19:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!